Describe a User
curl --request GET \
--url https://wksusa1b2c3d.provisionr.app/api/v1/directory/users/{user} \
--header 'Authorization: Bearer <token>'$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$response = Invoke-WebRequest -Uri 'https://wksusa1b2c3d.provisionr.app/api/v1/directory/users/{user}' -Method GET -Headers $headersimport requests
url = "https://wksusa1b2c3d.provisionr.app/api/v1/directory/users/{user}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wksusa1b2c3d.provisionr.app/api/v1/directory/users/{user}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"first_name": "Dade",
"last_name": "Murphy",
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"timestamp": {
"created_at": "2025-01-28T13:37:00Z",
"updated_at": "2025-05-04T03:27:00Z",
"deleted_at": null,
"expires_at": null,
"provisioned_at": "2025-03-14T15:07:00Z",
"deprovisioned_at": null
},
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
},
"count": {
"secondary_users": 123,
"direct_report_users": 123,
"directory_identities": 123,
"policy_conditions": 123,
"policy_users": 123,
"policy_rulesets": 123,
"manifest_rules": 123,
"qualified_rules": 123,
"staged_rules": 123,
"audit_logs_parent": 123,
"audit_logs_record": 123,
"audit_logs_related": 123,
"audit_logs_subject": 123,
"directory_attributes": 123,
"gitlab_groups": 123,
"gitlab_projects": 123,
"google_drive_docs": 123,
"google_drive_files": 123,
"google_drive_folders": 123,
"google_drive_decks": 123,
"google_drive_sheets": 123,
"google_identity_groups": 123,
"google_workspace_drives": 123,
"google_workspace_groups": 123,
"okta_groups": 123,
"slack_public_channels": 123,
"slack_private_channels": 123,
"slack_groups": 123
},
"included": {
"user_manager": {
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
},
"workspace_user": {
"id": "wsusr_01hq8xyzabc123def456ghi789",
"state": "staged",
"provider": "hq",
"provider_id": "<string>",
"name": "<string>",
"handle": "<string>",
"email": "<string>"
},
"parent_user": {
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
},
"secondary_users": [
{
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
}
],
"direct_report_users": [
{
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
}
],
"integration": {
"id": "gitg_01hq8xyzabc123def456ghi789",
"vendor": "google",
"is_primary": true
},
"directory_identities": [
{
"id": "dridt_01hq8xyzabc123def456ghi789",
"integration_id": "<string>",
"integration_type": "<string>",
"directory_user_id": "drusr_01hq8xyzabc123def456ghi789",
"integration_vendor": "okta",
"integration_handle": "okta-prod",
"vendor_id": "<string>",
"full_name": "<string>",
"email": "<string>",
"org": {},
"state": "staged"
}
],
"policy_conditions": [
{
"id": "pocon_01hq8xyzabc123def456ghi789",
"is_imported": true,
"type": "attribute",
"ruleset_id": "poset_01hq8xyzabc123def456ghi789",
"rule_id": "porul_01hq8xyzabc123def456ghi789",
"resource_id": "dratr_01hq8xyzabc123def456ghi789",
"profile_key": "department",
"profile_operator": "equals",
"profile_value": "IT Helpdesk",
"description": "<string>"
}
],
"policy_users": [
{
"id": "pousr_01hq8xyzabc123def456ghi789",
"state": "staged",
"timestamp": {
"created_at": "2025-01-28T13:37:00Z",
"updated_at": "2025-05-04T03:27:00Z",
"activated_at": "2025-03-14T15:07:00Z",
"expires_at": null,
"deleted_at": null
},
"included": {
"directory_user": {
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
},
"policy_ruleset": {
"id": "poset_01hq8xyzabc123def456ghi789",
"state": "unmanaged",
"type": "directory_attribute",
"resource_id": "dratr_01hq8xyzabc123def456ghi789",
"is_authoritative": false,
"expires_after_days": 30
},
"policy_rule": {
"id": "porul_01hq8xyzabc123def456ghi789",
"state": "active",
"role_name": "Group Member",
"role_handle": "member",
"is_imported": true,
"description": "<string>",
"expires_after_days": 123,
"expires_after_days_inherited": true,
"priority": 42
},
"policy_resource": {
"id": "dratr_01hq8xyzabc123def456ghi789",
"state": "active",
"parent": "Department",
"name": "Engineering",
"handle": "eng",
"blueprint_signature": "{blueprint_id_last4}-{dimension_id}-{attribute_id}-{ref_id}",
"profile_value": "Engineering"
}
}
}
],
"policy_rules_manifest": [
{
"id": "porul_01hq8xyzabc123def456ghi789",
"state": "active",
"role_name": "Group Member",
"role_handle": "member",
"is_imported": true,
"description": "<string>",
"expires_after_days": 123,
"expires_after_days_inherited": true,
"priority": 42
}
],
"policy_rules_qualified": [
{
"id": "porul_01hq8xyzabc123def456ghi789",
"state": "active",
"role_name": "Group Member",
"role_handle": "member",
"is_imported": true,
"description": "<string>",
"expires_after_days": 123,
"expires_after_days_inherited": true,
"priority": 42
}
],
"policy_rules_staged": [
{
"id": "porul_01hq8xyzabc123def456ghi789",
"state": "active",
"role_name": "Group Member",
"role_handle": "member",
"is_imported": true,
"description": "<string>",
"expires_after_days": 123,
"expires_after_days_inherited": true,
"priority": 42
}
],
"policy_rulesets": [
{
"id": "poset_01hq8xyzabc123def456ghi789",
"state": "unmanaged",
"type": "directory_attribute",
"resource_id": "dratr_01hq8xyzabc123def456ghi789",
"is_authoritative": false,
"expires_after_days": 30
}
]
},
"links": {
"self": "<string>",
"workspace_user": "<string>",
"integration": "<string>",
"secondary_users": "<string>",
"direct_report_users": "<string>",
"directory_identities": "<string>",
"audit_logs_parent": "<string>",
"audit_logs_record": "<string>",
"audit_logs_related": "<string>",
"audit_logs_subject": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Directory Users
Describe a User
GET
/
directory
/
users
/
{user}
Describe a User
curl --request GET \
--url https://wksusa1b2c3d.provisionr.app/api/v1/directory/users/{user} \
--header 'Authorization: Bearer <token>'$headers=@{}
$headers.Add("Authorization", "Bearer <token>")
$response = Invoke-WebRequest -Uri 'https://wksusa1b2c3d.provisionr.app/api/v1/directory/users/{user}' -Method GET -Headers $headersimport requests
url = "https://wksusa1b2c3d.provisionr.app/api/v1/directory/users/{user}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wksusa1b2c3d.provisionr.app/api/v1/directory/users/{user}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"first_name": "Dade",
"last_name": "Murphy",
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"timestamp": {
"created_at": "2025-01-28T13:37:00Z",
"updated_at": "2025-05-04T03:27:00Z",
"deleted_at": null,
"expires_at": null,
"provisioned_at": "2025-03-14T15:07:00Z",
"deprovisioned_at": null
},
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
},
"count": {
"secondary_users": 123,
"direct_report_users": 123,
"directory_identities": 123,
"policy_conditions": 123,
"policy_users": 123,
"policy_rulesets": 123,
"manifest_rules": 123,
"qualified_rules": 123,
"staged_rules": 123,
"audit_logs_parent": 123,
"audit_logs_record": 123,
"audit_logs_related": 123,
"audit_logs_subject": 123,
"directory_attributes": 123,
"gitlab_groups": 123,
"gitlab_projects": 123,
"google_drive_docs": 123,
"google_drive_files": 123,
"google_drive_folders": 123,
"google_drive_decks": 123,
"google_drive_sheets": 123,
"google_identity_groups": 123,
"google_workspace_drives": 123,
"google_workspace_groups": 123,
"okta_groups": 123,
"slack_public_channels": 123,
"slack_private_channels": 123,
"slack_groups": 123
},
"included": {
"user_manager": {
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
},
"workspace_user": {
"id": "wsusr_01hq8xyzabc123def456ghi789",
"state": "staged",
"provider": "hq",
"provider_id": "<string>",
"name": "<string>",
"handle": "<string>",
"email": "<string>"
},
"parent_user": {
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
},
"secondary_users": [
{
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
}
],
"direct_report_users": [
{
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
}
],
"integration": {
"id": "gitg_01hq8xyzabc123def456ghi789",
"vendor": "google",
"is_primary": true
},
"directory_identities": [
{
"id": "dridt_01hq8xyzabc123def456ghi789",
"integration_id": "<string>",
"integration_type": "<string>",
"directory_user_id": "drusr_01hq8xyzabc123def456ghi789",
"integration_vendor": "okta",
"integration_handle": "okta-prod",
"vendor_id": "<string>",
"full_name": "<string>",
"email": "<string>",
"org": {},
"state": "staged"
}
],
"policy_conditions": [
{
"id": "pocon_01hq8xyzabc123def456ghi789",
"is_imported": true,
"type": "attribute",
"ruleset_id": "poset_01hq8xyzabc123def456ghi789",
"rule_id": "porul_01hq8xyzabc123def456ghi789",
"resource_id": "dratr_01hq8xyzabc123def456ghi789",
"profile_key": "department",
"profile_operator": "equals",
"profile_value": "IT Helpdesk",
"description": "<string>"
}
],
"policy_users": [
{
"id": "pousr_01hq8xyzabc123def456ghi789",
"state": "staged",
"timestamp": {
"created_at": "2025-01-28T13:37:00Z",
"updated_at": "2025-05-04T03:27:00Z",
"activated_at": "2025-03-14T15:07:00Z",
"expires_at": null,
"deleted_at": null
},
"included": {
"directory_user": {
"id": "drusr_01hq8xyzabc123def456ghi789",
"state": "active",
"manager_id": "drusr_01kam9z5z71f7r4hhrm2ydxkhn",
"is_manager": true,
"full_name": "Dade Murphy",
"email": "[email protected]",
"username": "dmurphy",
"badge_id": "<string>",
"employee_id": "<string>",
"employee_alt_id": "<string>",
"org": {
"cost_center": "CC-1234",
"department": "Infrastructure",
"division": "Engineering",
"title": "Senior Engineer"
},
"metadata": {
"custom_field_1": "value1",
"employee_type": "full-time",
"desk_number": "42"
}
},
"policy_ruleset": {
"id": "poset_01hq8xyzabc123def456ghi789",
"state": "unmanaged",
"type": "directory_attribute",
"resource_id": "dratr_01hq8xyzabc123def456ghi789",
"is_authoritative": false,
"expires_after_days": 30
},
"policy_rule": {
"id": "porul_01hq8xyzabc123def456ghi789",
"state": "active",
"role_name": "Group Member",
"role_handle": "member",
"is_imported": true,
"description": "<string>",
"expires_after_days": 123,
"expires_after_days_inherited": true,
"priority": 42
},
"policy_resource": {
"id": "dratr_01hq8xyzabc123def456ghi789",
"state": "active",
"parent": "Department",
"name": "Engineering",
"handle": "eng",
"blueprint_signature": "{blueprint_id_last4}-{dimension_id}-{attribute_id}-{ref_id}",
"profile_value": "Engineering"
}
}
}
],
"policy_rules_manifest": [
{
"id": "porul_01hq8xyzabc123def456ghi789",
"state": "active",
"role_name": "Group Member",
"role_handle": "member",
"is_imported": true,
"description": "<string>",
"expires_after_days": 123,
"expires_after_days_inherited": true,
"priority": 42
}
],
"policy_rules_qualified": [
{
"id": "porul_01hq8xyzabc123def456ghi789",
"state": "active",
"role_name": "Group Member",
"role_handle": "member",
"is_imported": true,
"description": "<string>",
"expires_after_days": 123,
"expires_after_days_inherited": true,
"priority": 42
}
],
"policy_rules_staged": [
{
"id": "porul_01hq8xyzabc123def456ghi789",
"state": "active",
"role_name": "Group Member",
"role_handle": "member",
"is_imported": true,
"description": "<string>",
"expires_after_days": 123,
"expires_after_days_inherited": true,
"priority": 42
}
],
"policy_rulesets": [
{
"id": "poset_01hq8xyzabc123def456ghi789",
"state": "unmanaged",
"type": "directory_attribute",
"resource_id": "dratr_01hq8xyzabc123def456ghi789",
"is_authoritative": false,
"expires_after_days": 30
}
]
},
"links": {
"self": "<string>",
"workspace_user": "<string>",
"integration": "<string>",
"secondary_users": "<string>",
"direct_report_users": "<string>",
"directory_identities": "<string>",
"audit_logs_parent": "<string>",
"audit_logs_record": "<string>",
"audit_logs_related": "<string>",
"audit_logs_subject": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Query Parameters
Available options:
secondary-users, secondary-users-count, secondary-users-exists, policy-conditions, policy-conditions-count, policy-conditions-exists, policy-users, policy-users-count, policy-users-exists, policy-rules-manifest, policy-rules-manifest-count, policy-rules-manifest-exists, policy-rules-qualified, policy-rules-qualified-count, policy-rules-qualified-exists, policy-rules-staged, policy-rules-staged-count, policy-rules-staged-exists, policy-rulesets, policy-rulesets-count, policy-rulesets-exists Response
DirectoryUserDetailedResponseData
The state of the directory user
staged The record is staged and is only visible to administrators or in the API. Since Directory Users are managed by Directory Identities with your primary integration, this usually indicates that the user is staged and will be activated or onboarded soon. Staged users are not included in ruleset manifests until they are active users. |
active The record is active. |
expiring The expires_at value is set in the future for the record. You can run the activate action to remove the scheduled expiration. |
expired The expires_at value is in the past and the record was deactivated. |
suspended The record is temporarily suspended. This reflects the state of the primary Workspace Integration. |
deactivated The record was deactivated in the primary Workspace Integration. |
Available options:
staged, active, expiring, expired, suspended, deactivated Example:
"active"
The email address of the user
Example:
Was this page helpful?